### A free/open-source library for quantitative finance

Public Member Functions
ForwardSpreadedTermStructure Class Reference
Term structures

Term structure with added spread on the instantaneous forward rate. More...

`#include <ql/termstructures/yield/forwardspreadedtermstructure.hpp>`

Inheritance diagram for ForwardSpreadedTermStructure:
[legend]

List of all members.

## Public Member Functions

| ForwardSpreadedTermStructure (const Handle< YieldTermStructure > &, const Handle< Quote > &spread)
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation

## Protected Member Functions

ForwardRateStructure implementation
Rate | forwardImpl (Time t) const
| instantaneous forward-rate calculation
Rate | zeroYieldImpl (Time t) const

## Detailed Description

Term structure with added spread on the instantaneous forward rate.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

Tests:
  - the correctness of the returned values is tested by checking them against numerical calculations.
  - observability against changes in the underlying term structure and in the added spread is checked.

## Member Function Documentation

Rate zeroYieldImpl | ( | Time |  | ) | const`[protected, virtual]`

Returns the zero yield rate for the given date calculating it from the instantaneous forward rate as

Warning:
  This default implementation uses an highly inefficient and possibly wildly inaccurate numerical integration. Derived classes should override it if a more efficient implementation is available.

Reimplemented from ForwardRateStructure.